Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class MatchFieldDef.Group

    java.lang.Object
      com.sun.mdm.index.parser.MatchFieldDef.Group

Direct Known Subclasses:
  MatchFieldDef.FreeFormGroup, MatchFieldDef.NormalizationGroup

Enclosing class:
  MatchFieldDef

public class MatchFieldDef.Group
extends java.lang.Object

Field Summary
`(package private) java.util.ArrayList` | `alLocaleCodes`
`(package private) java.util.ArrayList` | `alTargetMapping`
`(package private) java.util.ArrayList` | `alUnstandardizedSourceFieldNames`
`(package private) java.lang.String` | `domainSelector`
`(package private) java.lang.String` | `localeFieldName`
`(package private) java.lang.String` | `standardizationType`

Constructor Summary
`MatchFieldDef.Group()`

Method Summary
`void` | `addLocaleCode(MatchFieldDef.LocaleCode localeCode)`
`void` | `addLocaleCode(java.lang.String value, java.lang.String locale)`
`void` | `addTargetMapping(MatchFieldDef.TargetMapping targetMapping)`
`void` | `addUnstandardizedSourceField(java.lang.String fieldName)`
`java.lang.String` | `getDomainSelector()`
`java.util.ArrayList` | `getLocaleCodes()`
`java.lang.String` | `getLocaleFieldName()`
`java.lang.String` | `getStandardizationType()`
`MatchFieldDef.TargetMapping` | `getTargetMapping(java.lang.String fieldName)`
`java.util.ArrayList` | `getTargetMappingFieldIDsBySourceField(java.lang.String sourceField)`
`java.util.ArrayList` | `getTargetMappings()`
`java.util.ArrayList` | `getUnstandardizedSourceFields()`
`(package private) void` | `Group()`
`void` | `setDomainSelector(java.lang.String domainSelector)`
`void` | `setLocaleCodes(java.util.ArrayList alLocaleCodes)`
`void` | `setLocaleFieldName(java.lang.String localeFieldName)`
`void` | `setStandardizationType(java.lang.String standardizationType)`
`void` | `setTargetMappings(java.util.ArrayList alTargetMapping)`
`void` | `setUnstandardizedSourceFields(java.util.ArrayList alUnstandardizedSourceFieldNames)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alLocaleCodes

    java.util.ArrayList alLocaleCodes

### alTargetMapping

    java.util.ArrayList alTargetMapping

### alUnstandardizedSourceFieldNames

    java.util.ArrayList alUnstandardizedSourceFieldNames

### domainSelector

    java.lang.String domainSelector

### localeFieldName

    java.lang.String localeFieldName

### standardizationType

    java.lang.String standardizationType

Constructor Detail

### MatchFieldDef.Group

    public MatchFieldDef.Group()

Method Detail

### addLocaleCode

    public void addLocaleCode(MatchFieldDef.LocaleCode localeCode)

### addLocaleCode

    public void addLocaleCode(java.lang.String value,
                              java.lang.String locale)

### addTargetMapping

    public void addTargetMapping(MatchFieldDef.TargetMapping targetMapping)

### addUnstandardizedSourceField

    public void addUnstandardizedSourceField(java.lang.String fieldName)

### getDomainSelector

    public java.lang.String getDomainSelector()

### getLocaleCodes

    public java.util.ArrayList getLocaleCodes()

### getLocaleFieldName

    public java.lang.String getLocaleFieldName()

### getStandardizationType

    public java.lang.String getStandardizationType()

### getTargetMapping

    public MatchFieldDef.TargetMapping getTargetMapping(java.lang.String fieldName)

### getTargetMappingFieldIDsBySourceField

    public java.util.ArrayList getTargetMappingFieldIDsBySourceField(java.lang.String sourceField)

### getTargetMappings

    public java.util.ArrayList getTargetMappings()

### getUnstandardizedSourceFields

    public java.util.ArrayList getUnstandardizedSourceFields()

### Group

    void Group()

### setDomainSelector

    public void setDomainSelector(java.lang.String domainSelector)

### setLocaleCodes

    public void setLocaleCodes(java.util.ArrayList alLocaleCodes)

### setLocaleFieldName

    public void setLocaleFieldName(java.lang.String localeFieldName)

### setStandardizationType

    public void setStandardizationType(java.lang.String standardizationType)

### setTargetMappings

    public void setTargetMappings(java.util.ArrayList alTargetMapping)

### setUnstandardizedSourceFields

    public void setUnstandardizedSourceFields(java.util.ArrayList alUnstandardizedSourceFieldNames)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.